EDIT - task #10201

Make synonym type an enum
12/13/2022 04:40 PM - Andreas Muller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal

Description

.. as it is very stable and the representations are not really needed
Open issues:
* vaadin
o taxeditor
e dataportal => all test run so probably there is no issue
* opdate-seript
* dozertest{AssemblerfestiestbDeepMappingth)
* cheek-how-fartermremovalworked-forrepresentations => fixed, still need to remove on test and integration

Related issues:
Related to EDIT - feature request #6794: Improve term structure In Progress

Related to EDIT - bug #7493: Review all references to SynonymRelationshipType... New

Associated revisions

Revision 158aea27 - 12/13/2022 08:54 PM - Andreas Miiller

ref #10201 make synonym type an enum in cdmlib

Revision a777f3a7 - 12/13/2022 11:12 PM - Andreas Miiller

ref #10201 update script for synonym type change to enum

Revision 4821942d - 12/13/2022 11:17 PM - Andreas Miiller

ref #10201 Make synonym type an enum in taxeditor

Revision 88be1bfd - 12/14/2022 12:00 AM - Andreas Miiller

ref #10201 make synonym type an enum in vaadin

Revision fOfdade4 - 12/14/2022 12:07 AM - Andreas Miiller
ref #10201, ref #10194 adapt testH2 to cdmlib

Revision 4f3bf065 - 12/14/2022 12:09 AM - Andreas Miiller
ref #10201, ref #10194 adapt testH2 in taxeditor

Revision 1126d2a5 - 12/14/2022 12:09 AM - Andreas Miiller
ref #10201, ref #10194 adapt testH2 in vaadin

Revision 9451f4aa - 12/14/2022 12:32 AM - Andreas Miiller

ref #10201 make synonym type an enum in vaadin (cont.)

Revision 73e75270 - 12/14/2022 12:33 AM - Andreas Miiller
ref #10201 make synonym type an enum in cdmlib (adapt dataset.dtd)

Revision 1a16¢318 - 12/14/2022 12:40 AM - Andreas Miiller

ref #10201 make synonym type an enum in taxeditor (adapt combo element)
Revision d6198023 - 12/20/2022 08:54 AM - Andreas Mller

ref #10201 add vocabulary removal for synonym types

Revision 49ab0cec - 12/20/2022 09:24 AM - Andreas Miiller

ref #10201 remove SynonymType.csv

Revision aecc18bb - 01/04/2023 06:24 PM - Andreas Miiller
ref #10201 fix dozer test for synonym type mapping

Revision cf70a387 - 01/06/2023 06:02 PM - Andreas Miiller
ref #10201 additional update script for synonym type

History

#1 - 12/13/2022 04:41 PM - Andreas Miiller

- Related to feature request #6794: Improve term structure added

#2 - 12/13/2022 06:15 PM - Andreas Miiller

- Subject changed from Make synonym relationship type an enum to Make synonym type an enum

#3 - 12/13/2022 06:16 PM - Andreas Miiller
- Description updated

#4 - 12/13/2022 07:40 PM - Andreas Miiller
- Description updated

#5 - 12/13/2022 08:29 PM - Andreas Miiller
- Description updated

#6 - 12/13/2022 11:33 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Priority14

- % Done changed from 0 to 60

#7 - 12/13/2022 11:38 PM - Andreas Miiller

- Description updated

#8 - 12/14/2022 01:33 AM - Andreas Miiller
- Description updated

- Status changed from In Progress to Resolved

still need to test taxeditor and fix dozer test

#9 - 12/14/2022 09:01 AM - Andreas Miiller
- Description updated

#10 - 12/19/2022 03:32 PM - Andreas Miiller
- Description updated

#11 - 12/20/2022 08:58 AM - Andreas Miiller
- Description updated

#12 - 01/04/2023 06:27 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 60 to 100
Andreas Muller wrote in #note-8:

still need to test taxeditor and fix dozer test

dozer test fixed and no problems in taxeditor observed. So | think we can close this ticket.

#13 - 02/22/2023 10:19 AM - Andreas Miiller
- Related to bug #7493: Review all references to SynonymRelationshipTypes and adapt code if needed added
